Package org.codehaus.groovy.classgen

# Class GeneratorContext

java.lang.Object
org.codehaus.groovy.classgen.GeneratorContext

    public class GeneratorContext
    extends java.lang.Object

A context shared across generations of a class and its inner classes

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `GeneratorContext​(CompileUnit compileUnit)` |
  `GeneratorContext​(CompileUnit compileUnit, int innerClassOffset)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `encodeAsValidClassName​(java.lang.String name)` |
  `CompileUnit` | `getCompileUnit()` |
  `java.lang.String` | `getNextClosureInnerName​(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)` |
  `java.lang.String` | `getNextConstructorReferenceSyntheticMethodName​(MethodNode enclosingMethodNode)` |
  `int` | `getNextInnerClassIdx()` |
  `java.lang.String` | `getNextLambdaInnerName​(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeneratorContext

    public GeneratorContext​(CompileUnit compileUnit)

  - ### GeneratorContext

    public GeneratorContext​(CompileUnit compileUnit, int innerClassOffset)

- ## Method Details

  - ### getNextInnerClassIdx

    public int getNextInnerClassIdx()

  - ### getCompileUnit

    public CompileUnit getCompileUnit()

  - ### getNextClosureInnerName

    public java.lang.String getNextClosureInnerName​(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

  - ### getNextLambdaInnerName

    public java.lang.String getNextLambdaInnerName​(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

  - ### getNextConstructorReferenceSyntheticMethodName

    public java.lang.String getNextConstructorReferenceSyntheticMethodName​(MethodNode enclosingMethodNode)

  - ### encodeAsValidClassName

    public static java.lang.String encodeAsValidClassName​(java.lang.String name)